<? error_reporting(0); $current_user = Model_Users::getCurrent(); ?>
<? $escort_model = new Model_Escorts(); ?>
<? $pm_btn_small = _st('v2.1/private-messaging/pm_btn_small.png') ?>

<? if ( count($this->comments) > 0 ): ?>
    <? foreach ($this->comments as $comment): ?>
        <? $comment_date = date("d M Y, H:i", strtotime($comment->time)) ?>
        <? $reviews_count = $comment->reviews_count ? ", {$comment->reviews_count} " . __('reviews') : "" ?>

        <div class="comment-area">
            <div style="display: flex; justify-content: space-between;">
                <div class="commenter">
                    <div class="commenter-name">
                        <? if ($comment['user_type'] == 'member') : ?>
<!--                            <a href="javascript:void(0)" data-href="--><?//= $this->getLink('member-info', array('username' => $comment->username)) ?><!--">-->
<!--                                --><?//= $comment->username ?>
<!--                            </a>-->
                            <span class="ui-link"><?= $comment->username ?></span>
<!--                            --><?// if ($this->user && ($this->user->isMember() || $this->user->isEscort())): ?>
<!--                                <span class="follow-icon" data-userid="MCubix.Follow.followPopup(--><?//= $comment->user_id ?><!--, 'add')"></span>-->
<!--                            --><?// endif; ?>
                        <? else : ?>
                            <? $escort = $escort_model->getByUserId($comment['user_id']); ?>
<!--                            <a href="javascript:void(0)" data-href="--><?//= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?><!--">-->
<!--                                --><?//= $escort->showname ?>
<!--                            </a>-->
                            <span class="ui-link"><?= $escort->showname ?></span>
                        <? endif; ?>
<!--                        <a href="javascript:void(0)" data-href="return MCubix.PrivateMessaging.Show($(this).parent(), '--><?//= "{$comment['user_type']}-" . $escort->id ?><!--')" class="pm-btn">-->
<!--                            <img src='--><?//= $pm_btn_small ?><!--' alt='--><?//= $this->t('contact_me') ?><!--'/>-->
<!--                        </a>-->
                    </div>
                    <div class="commenter-reviews-count">
                        <span>(<?= $comment_date ?>, <?= $comment->comments_count ?> <?= __('comments') ?> <?= $reviews_count ?>)</span>
                    </div>
                </div>

                <div class="comment-actions">
<!--                    <a href="javascript:void(0)" class="reply-comment-btn" rel="--><?//= $comment->id ?><!--">Reply</a>-->

                    <div class="comment-votes">
                        <? if ($current_user->id != $comment->user_id) : ?>
                            <? $vote_types = array('down', 'up'); ?>
                            <? foreach ($vote_types as $vote_type) : ?>
                                <div class="vote-<?=$vote_type?>-area">
                                    <div class="vote"><?= $comment["thumb{$vote_type}_count"] ?></div>
                                    <a href="javascript:void(0)" rel="<?= $comment['id'] ?>" class="vote-<?=$vote_type?>>">
                                        <img alt="" src="<?= _st("icon_thumbs{$vote_type}.gif") ?>" />
                                    </a>
                                </div>
                            <? endforeach; ?>
                        <? endif; ?>
                    </div>
                </div>
            </div>

            <div class="comment_body">
                <?= $comment['message'] ?>
                <div class="reply_place"></div>
            </div>

            <? if (count($comment['replied_comment'])): ?>
                <? foreach ($comment['replied_comment'] as $rep_comment): ?>
                    <div class="comment_reply">
                        <? /*<? $admin_reply = strtolower($rep_comment['username']) == Model_Comments::SITEADMIN_USERNAME ? true : false; ?>
                        <? if( $admin_reply ): ?>
                            <span class="commenter_reply" ><?=  $rep_comment['username'] ?></span>
                        <? else: ?> */ ?>
                        <? if ($comment['user_type'] == 'member'): ?>
                            <span class="commenter_reply">
                                <!--<a href="<?/*= $this->getLink('member-info', array('username' => $rep_comment['username'])) */?>"
                                   class="fleft"><?/*= $rep_comment['username'] */?></a>
                                <?/* if ($this->user && ($this->user->isMember() || $this->user->isEscort())): */?>
                                    <span class='follow-icon' style="cursor: pointer;"
                                          onclick="return MCubix.Follow.followPopup(<?/*= $comment->user_id */?>,'add')"></span>
                                <?/* endif; */?>
                                <a style="float: left; margin: 0 5px" href=""
                                   onclick="return MCubix.PrivateMessaging.Show($(this).getParent(), '<?/*= "member-" . $rep_comment['user_id'] */?>')">
                                    <img src='<?/*= _st('v2.1/private-messaging/pm_btn_small.png') */?>'
                                         alt='<?/*= $this->t('contact_me') */?>'/>
                                </a>-->
                                <span class="ui-link"><?= $rep_comment['username'] ?></span>
                                <span>(<?= date("d M Y, H:i", strtotime($rep_comment['time'])); ?>, <?= $rep_comment['comments_count'] . " " . __('comments') ?>)</span>
                            </span>
                        <? else: ?>
                            <? $escort = $escort_model->getByUserId($comment['user_id']); ?>
                            <span class="commenter_reply">
                                <!--<a href="<?/*= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) */?>"
                                   class="fleft"><?/*= $escort->showname */?></a>
                                <a style="float: left; margin: 0 5px" href=""
                                   onclick="return MCubix.PrivateMessaging.Show($(this).getParent(), '<?/*= "escort-" . $escort->id */?>')">
                                    <img src='<?/*= _st('v2.1/private-messaging/pm_btn_small.png') */?>'
                                         alt='<?/*= $this->t('contact_me') */?>'/>
                                </a>-->
                                <span class="ui-link"><?= $escort->showname ?></span>
                                <span>(<?= date("d M Y, H:i", strtotime($rep_comment['time'])); ?>, <?= $rep_comment['comments_count'] . " " . __('comments') ?>)</span>
                            </span>
                        <? endif; ?>
                        <? /*endif;*/ ?>

                        <span class="comment_body_reply"><?= $rep_comment['message'] ?></span>
                    </div>
                <? endforeach; ?>
            <? endif; ?>
        </div>
    <? endforeach; ?>

	<div class="clear"></div>

	<? $pages_count = ceil($this->count / $this->per_page); ?>
	<? if ($pages_count > 1): ?>
	<p id="comments_pagination">
		<?php if($pages_count != 1): ?>			
				<?  $pages = $this->paging($this->count, $this->page, $this->per_page); ?>
				<? if ( 1 < $this->page): ?>
					<a class="prev" href="#" onclick="return MCubix.Comments.loadComments({ page: <?= $this->page - 1 ?> })">&#9664;</a>
				<? endif ?>

				<? foreach ( $pages as $page ): ?>
					<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
					<? else: ?>
						<a class="p" href="#" onclick="return MCubix.Comments.loadComments({ page: <?= $page ?> })"><?= $page ?></a>
					<? endif ?>
				<? endforeach; ?>

				<? if ( $pages_count > $this->page): ?>
					<a class="next" href="#" onclick="return MCubix.Comments.loadComments({ page: <?= $this->page + 1 ?> })">&#9658;</a>
				<? endif ?>			
		<?php endif;?>
	</p>
	<? endif; ?>

<? else: ?>
	<p class="no_comment"><?= $this->t('no_comment') ?></p>
<?php endif; ?>
